/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "cprover", "index.html", [
    [ "CProver Developer Documentation", "index.html", [
      [ "Versions", "index.html#autotoc_md59", null ],
      [ "Report bugs", "index.html#autotoc_md60", null ],
      [ "Contributing to the code base", "index.html#autotoc_md61", null ],
      [ "License", "index.html#autotoc_md62", null ],
      [ "Overview of Documentation", "index.html#autotoc_md63", null ]
    ] ],
    [ "Background Concepts", "background-concepts.html", [
      [ "Representations", "background-concepts.html#representations_section", [
        [ "AST", "background-concepts.html#AST_section", [
          [ "For users:", "index.html#autotoc_md64", null ],
          [ "For contributors:", "index.html#autotoc_md65", null ],
          [ "Symbol tables and variable disambiguation", "background-concepts.html#symbol_table_section", null ]
        ] ],
        [ "Intermediate Representations (IR)", "background-concepts.html#IR_section", null ],
        [ "Control Flow Graphs (CFG)", "background-concepts.html#CFG_section", null ],
        [ "SSA", "background-concepts.html#SSA_section", null ]
      ] ],
      [ "Analysis techniques", "background-concepts.html#analysis_techniques_section", [
        [ "Bounded model checking", "background-concepts.html#BMC_section", [
          [ "Propositional logic and SAT solving", "background-concepts.html#propositional_logic_subsubsection", null ],
          [ "Using SAT to reason about data: Bit vectors", "background-concepts.html#bitvector_subsubsection", null ],
          [ "How bounded model checking works", "background-concepts.html#bmc_subsubsection", null ],
          [ "Where to go from here", "background-concepts.html#smt_etc_subsubsection", null ]
        ] ],
        [ "Static analysis", "background-concepts.html#static_analysis_section", [
          [ "Abstract Interpretation", "background-concepts.html#abstract_interpretation_section", null ]
        ] ]
      ] ],
      [ "Glossary", "background-concepts.html#Glossary_section", [
        [ "Instrument", "background-concepts.html#instrument_subsection", null ],
        [ "Flattening and Lowering", "background-concepts.html#flattening_lowering_subsection", null ],
        [ "Verification Condition", "background-concepts.html#verification_condition_subsection", null ]
      ] ]
    ] ],
    [ "CBMC Architecture", "cbmc-architecture.html", [
      [ "Concepts", "cbmc-architecture.html#autotoc_md43", [
        [ "{C, java bytecode} → Parse tree → Symbol table → GOTO programs → GOTO program transformations → BMC → counterexample (goto_tracet) → printing", "cbmc-architecture.html#autotoc_md44", null ],
        [ "Instrumentation: goto functions → goto functions", "cbmc-architecture.html#autotoc_md45", null ],
        [ "Goto functions → BMC → Counterexample (trace)", "cbmc-architecture.html#autotoc_md46", null ],
        [ "Trace → interpreter → memory map", "cbmc-architecture.html#autotoc_md47", null ],
        [ "Goto functions → abstract interpretation", "cbmc-architecture.html#autotoc_md48", null ],
        [ "Executables (flow of transformations):", "cbmc-architecture.html#autotoc_md49", [
          [ "goto-cc", "cbmc-architecture.html#autotoc_md50", null ],
          [ "goto-instrument", "cbmc-architecture.html#autotoc_md51", null ],
          [ "cbmc", "cbmc-architecture.html#autotoc_md52", null ],
          [ "goto-analyzer", "cbmc-architecture.html#autotoc_md53", null ]
        ] ]
      ] ]
    ] ],
    [ "Code Walkthrough", "code-walkthrough.html", [
      [ "Data structures: core structures and AST", "code-walkthrough.html#data-structures-core-structures-and-ast-section", null ],
      [ "Data structures: from AST to GOTO program", "code-walkthrough.html#data-structures-from-ast-to-goto-program-section", null ],
      [ "Front-end languages: generating codet from multiple languages", "code-walkthrough.html#front-end-languages-generating-codet-from-multiple-languages-section", [
        [ "language_uit, language_filest, languaget classes:", "code-walkthrough.html#language-uit-section", null ],
        [ "C", "code-walkthrough.html#languages-c-section", null ],
        [ "C++", "code-walkthrough.html#languages-cpp-section", null ],
        [ "Java bytecode", "code-walkthrough.html#languages-java-section", null ]
      ] ],
      [ "Bmct class", "code-walkthrough.html#bmct-class-section", [
        [ "equation", "code-walkthrough.html#equation-section", null ]
      ] ],
      [ "Symbolic executors", "code-walkthrough.html#symbolic-executors-section", [
        [ "Symbolic execution", "code-walkthrough.html#symbolic-execution-section", null ]
      ] ],
      [ "Solvers infrastructure", "code-walkthrough.html#solvers-infrastructure-section", null ],
      [ "Static analysis APIs", "code-walkthrough.html#static-analysis-apis-section", null ]
    ] ],
    [ "Compilation and Development", "compilation-and-development.html", [
      [ "Compilation", "compilation-and-development.html#compilation-and-development-section-compilation", [
        [ "Makefiles", "compilation-and-development.html#compilation-and-development-subsection-makefiles", null ],
        [ "CMake files", "compilation-and-development.html#compilation-and-development-subsection-cmake-files", null ],
        [ "Personal configuration", "compilation-and-development.html#compilation-and-development-subsection-personal-configuration", [
          [ "config.inc", "compilation-and-development.html#compilation-and-development-subsubsection-config-inc", null ],
          [ "Macro DEBUG", "compilation-and-development.html#compilation-and-development-subsubsection-macro-debug", null ]
        ] ]
      ] ],
      [ "Running tests", "compilation-and-development.html#compilation-and-development-section-running-tests", [
        [ "Regression tests", "compilation-and-development.html#compilation-and-development-subsection-regression-tests", [
          [ "Running regression tests with make", "compilation-and-development.html#compilation-and-development-subsubsection-running-regression-tests-with-make", null ],
          [ "Running regression tests with CTest", "compilation-and-development.html#compilation-and-development-subsubsection-running-regression-tests-with-ctest", null ],
          [ "Running individual regression tests directly with test.pl", "compilation-and-development.html#compilation-and-development-subsubsection-running-individual-regression-tests-directly-with-test-pl", null ]
        ] ],
        [ "Unit tests", "compilation-and-development.html#compilation-and-development-subsection-unit-tests", null ],
        [ "Using a different SAT solver", "compilation-and-development.html#compilation-and-development-subsection-sat-solver", null ]
      ] ],
      [ "Documentation", "compilation-and-development.html#compilation-and-development-section-documentation", null ],
      [ "Formatting", "compilation-and-development.html#compilation-and-development-section-formatting", null ],
      [ "Linting", "compilation-and-development.html#compilation-and-development-section-linting", null ]
    ] ],
    [ "Folder Walkthrough", "folder-walkthrough.html", null ],
    [ "Tutorials", "tutorial.html", [
      [ "CBMC Developer Tutorial", "tutorial.html#cbmc_tutorial", [
        [ "<tt>src/</tt>", "folder-walkthrough.html#autotoc_md54", null ],
        [ "<tt>doc/</tt>", "folder-walkthrough.html#autotoc_md55", null ],
        [ "<tt>regression/</tt>", "folder-walkthrough.html#autotoc_md56", null ],
        [ "<tt>unit/</tt>", "folder-walkthrough.html#autotoc_md57", null ],
        [ "Directory dependencies", "folder-walkthrough.html#autotoc_md58", null ],
        [ "Initial setup", "tutorial.html#autotoc_md66", null ],
        [ "Whirlwind tour of the tools", "tutorial.html#autotoc_md67", [
          [ "Compiling with <tt>goto-cc</tt>", "tutorial.html#autotoc_md68", null ],
          [ "Viewing goto-programs", "tutorial.html#autotoc_md69", null ]
        ] ],
        [ "Learning about goto-programs", "tutorial.html#autotoc_md70", [
          [ "First steps with <tt>goto-instrument</tt>", "tutorial.html#autotoc_md71", null ],
          [ "Goto-program basics", "tutorial.html#autotoc_md72", null ]
        ] ]
      ] ]
    ] ],
    [ "Other Tools", "other-tools.html", [
      [ "Other Tools", "other-tools.html#autotoc_md73", null ]
    ] ],
    [ "Other Documentation", "other_documentation.html", [
      [ "SATABS", "other_documentation.html#satabs", [
        [ "Automatic Program Verification with SATABS", "other_documentation.html#autotoc_md74", null ],
        [ "Installing SATABS", "other_documentation.html#man_install-satabs", [
          [ "Requirements", "other_documentation.html#autotoc_md75", null ],
          [ "Choosing and Installing a Model Checker", "other_documentation.html#autotoc_md76", null ],
          [ "Installing SATABS", "other_documentation.html#autotoc_md77", null ],
          [ "Requirements", "other_documentation.html#autotoc_md78", null ]
        ] ]
      ] ],
      [ "SATABS—Predicate Abstraction with SAT", "other_documentation.html#man_satabs", [
        [ "Overview", "other_documentation.html#man_satabs-overview", [
          [ "Working with Claims", "other_documentation.html#autotoc_md79", null ]
        ] ],
        [ "Programs that use Libraries", "other_documentation.html#man_satabs-libraries", null ],
        [ "Unit Testing with SATABS", "other_documentation.html#man_satabs-unit-test", [
          [ "Further Reading", "other_documentation.html#autotoc_md80", null ]
        ] ],
        [ "Background", "other_documentation.html#man_satabs-background", [
          [ "Sound Abstractions", "other_documentation.html#autotoc_md81", null ],
          [ "Spurious Counterexamples", "other_documentation.html#autotoc_md82", null ],
          [ "Automatic Refinement", "other_documentation.html#autotoc_md83", null ]
        ] ],
        [ "Tutorials", "other_documentation.html#man_satabs-tutorials", [
          [ "Reference Counting in Linux Device Drivers", "other_documentation.html#man_satabs-tutorial-driver", null ],
          [ "Buffer Overflow in a Mail Transfer Agent", "other_documentation.html#man_satabs-tutorial-aeon", null ]
        ] ]
      ] ]
    ] ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Directories", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", "globals_vars" ],
        [ "Typedefs", "globals_type.html", "globals_type" ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", "globals_eval" ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
".html",
"ansi__c__lex_8yy_8cpp.html#a00e0e6558b924c3772733f4c30431c33",
"ansi__c__parser_8cpp.html#a78d9f609b6e46e14c7672f7ae3f78255",
"ansi__c__y_8tab_8cpp.html#acb02e17b099d0a19f52cfa13d8c3e2d6",
"ansi__c__y_8tab_8h.html#a15c9f7bd2f0e9686df5d9df4f3314aa9a37972ca5a60a89908fd31c5c1959c6ca",
"ansi__c__y_8tab_8h.html#a15c9f7bd2f0e9686df5d9df4f3314aa9a67b226ed5617146c98e7bf37be50adcd",
"ansi__c__y_8tab_8h.html#a15c9f7bd2f0e9686df5d9df4f3314aa9a9541313e3cab70867d71ffb56b132a63",
"ansi__c__y_8tab_8h.html#a15c9f7bd2f0e9686df5d9df4f3314aa9acd0a5424bd4e3f57892f28bed70252bc",
"ansi__c__y_8tab_8h.html#a1bc516fe5e5936d91622b1e596a42997",
"arm__builtin__headers_8h.html#acffce8a5b38b574c091a9abc2c5d0e83",
"assembler__lex_8yy_8cpp.html#ae7e51116e747d3390e7a6cfc6532834c",
"bv__endianness__map_8h_source.html",
"cbmc__parse__options_8cpp_source.html",
"classabstract__eventt.html#ab42464621e1c5453f27c6fbeef2f9f55",
"classansi__c__convert__typet.html#ac7274c039ac1cdf270f14cf255a26c73",
"classassembler__parsert.html",
"classboolbvt.html#a394f38c9d2f92bc501f779ba166e74f2",
"classbv__utilst.html#aa601b9e7a16c18ace3a0420f3344c84d",
"classc__typecheck__baset.html#ae3e30d4986422b93fd2e2a41cffaf554",
"classcheck__call__sequencet.html#a40bd1b7f5ecee4065d659fcf925c89d2",
"classcode__fort.html#a2e9837d9675bf6037530d83b21743cc2",
"classconcurrency__instrumentationt.html#af7f75b8056fbae0c02d98d4ec0331b4c",
"classcpp__convert__typet.html#a8a6f1e8fab9cd2d02238888f13178203",
"classcpp__parsert.html#a7cfbdd5e36ba8f0ced2de7057a57a50a",
"classcpp__typecheckt.html#a64a8b21053c64cc81c29de0e609bafd3",
"classdep__graph__domaint.html#a8e4bacf404481ce1fda0a57f0e318ec8",
"classdump__ct.html",
"classevent__grapht_1_1graph__conc__explorert.html",
"classexprt.html#abfe4ceff8f1e093bc5f5351e483b5c89",
"classfloat__utilst.html#ac22ca54b672d28379068a7a775ee18ff",
"classfunction__modifiest.html#a462b1d697bb6ea7087775d0744405275",
"classgoto__convertt.html#a4d8231f2d8d7cbee4ada9a746cdb34e7",
"classgoto__program2codet.html#a5b519965bc2018dc5d8518590707b279",
"classgoto__symex__statet.html#aeee941f9ea9120f577f187d2b734bc80",
"classgrapht.html#a888938815aa54a3ebc85dceb901c489c",
"classindex__exprt.html#a8315752575113101579e28cb711ca5ea",
"classinterval__sparse__arrayt.html#aec8b5c78390448ae3d9e99d0ebdf1724",
"classirept.html#aa8e14ca1bd9cdf71694f56172988e78a",
"classjava__bytecode__languaget.html#a156d3fa6180bc761c44e9257e7ed5981",
"classjava__qualifierst.html#a03410a4a8ca00d748bc8c85842cb7562",
"classjsil__typecheckt.html#ac1ad6347421092e69ce9acc0fe3226e1",
"classlazy__goto__functions__mapt.html#aa66793c24acd0ebdbd96c329cf0e8ee1",
"classmap__iteratort.html#a07d3203bd37b8308fdb6ea65d600cf2d",
"classmini__bddt.html#a5acfdb1cd979b4518081a17b1f3c74ed",
"classnot__exprt.html#a727d35f1d3f16195e0c4b45db1784b1d",
"classpbs__dimacs__cnft.html#a5d8a9c8c8082906fc7b86bf9c7d47bd4",
"classpropt.html#a5159411e93dce18b8000ea2463df8580",
"classrationalt.html#abd734748a30ffbf4196ace2f2f63cc04",
"classrename__symbolt.html#a59dbb706ce54c0fc6635dcf3dc372211",
"classsatcheck__glucose__simplifiert.html#a986c43266911914de85639fda2e07983",
"classsharing__mapt.html#a75cbe87127bb306f3dae8f8e2acb80d3",
"classsmall__mapt.html#ae3efe3a052487a016198c3d930ed1560",
"classsmt2__solvert.html#a19bd1c4965c27837e63282223c1e9c74",
"classstring__abstractiont.html#a769930b6455540a7431fd41b6ff5b5c5",
"classstring__test__builtin__functiont.html#a6c927107092186edf8be0bc612ffc05c",
"classsymex__bmct.html#a8e330110e6b0a585e34b56e1fdc237ed",
"classtemplate__mapt.html#a81211707aaa750adfd2cfce4f7c91a7a",
"classunified__difft.html",
"classvalue__set__domain__fivrt.html#a059900f66158f0d1a95f8c8763c44588",
"classvalue__set__fivrt_1_1object__map__dt.html#a813cb85ec9341aa8ef8aa7473cb8c1a3",
"compile_8cpp_source.html",
"cpp__convert__type_8cpp_source.html",
"cprover__builtin__headers_8h.html#a90d66a0d0cfb5f1c24bd5486f110e34f",
"event__graph_8h.html#a2ac977794ce28739859ac15ddf94fe21",
"format__expr_8cpp.html#afb06efba990cc4e769d2753763c3f40b",
"gcc__builtin__headers__arm_8h.html#a0df22f33aac8f2b5e88a10fb5d299e78",
"gcc__builtin__headers__ia32-2_8h.html#a09a310e7f0d643bbd4d9fba9628acbdb",
"gcc__builtin__headers__ia32-2_8h.html#a704c58d892916b12dbee17bde42b0189",
"gcc__builtin__headers__ia32-2_8h.html#ac56f8a40967579f246b41a48e8a2cb35",
"gcc__builtin__headers__ia32-3_8h.html#a2bd4f4d7d7729513b45a0c58d0bc1105",
"gcc__builtin__headers__ia32-3_8h.html#a97c30c9a3047c7d5acfd5711ccade641",
"gcc__builtin__headers__ia32-3_8h.html#af03b0e6c302ac9f67b2542452bfd1f19",
"gcc__builtin__headers__ia32-4_8h.html#a9c41ba846099c8bd2f9a04b88a43f870",
"gcc__builtin__headers__ia32_8h.html#a190e0dccc668880c1ba772f297870f7d",
"gcc__builtin__headers__ia32_8h.html#a523cbb196e98660612c8e6dc99be7cd5",
"gcc__builtin__headers__ia32_8h.html#a8a3cc5534c51d6290651272d7cfa8207",
"gcc__builtin__headers__ia32_8h.html#ac1de34d7c8a3495974548ee7a2d46b85",
"gcc__builtin__headers__ia32_8h.html#afd073f7e4f4aa0753ac0176fd9453734",
"gcc__builtin__headers__math_8h.html#aa0b220f91c7cbc907a0e89bb32800f9d",
"gcc__builtin__headers__mem__string_8h.html#ae6836dee0e516199ae7bb25ba0846a8b",
"gcc__builtin__headers__ubsan_8h.html#adba3e414f24e27b39ac170fc81a59463",
"goto__analyzer__parse__options_8cpp_source.html",
"graph_8h.html#acb5a6e2a89a2603784a93c43986fec28",
"invariant__set__domain_8h.html",
"java__bytecode__parser_8cpp.html#ac2198ff35934b3dd78e881464159ae26",
"java__types_8cpp.html#abe47d12815e77df9bbc58a4712103848",
"jsil__lex_8yy_8cpp.html#a15d294c97ed7a220c9823cf05733dd99",
"jsil__types_8cpp.html#ac1e1b1f146005f5bf6a49a741ed184a1",
"jsil__y_8tab_8h.html#a15c9f7bd2f0e9686df5d9df4f3314aa9a1fc460f007a961d9ee916ea6b2a8f304",
"jsil__y_8tab_8h.html#a15c9f7bd2f0e9686df5d9df4f3314aa9ab3f9a160c57c4b16109d004494bd5c8d",
"json__lex_8yy_8cpp.html#a609d19f40900ecc2a5f812d9388c21fb",
"json__y_8tab_8cpp.html#a5d5f1a7a5182e57a2589f4753bfaddc9",
"load__java__class_8cpp.html#aca68aa47defcaab32929d910d9e8bc0c",
"miniz_8cpp.html#a77bb6572e95227d4a0e7eff475e1ca35",
"miniz_8h.html#a387ccd3d7a7891c9e1d6ec4f4207c8d4a4150e95aacd9bf414c6f9155263b60e8",
"miniz_8h.html#ae12d56c14c748fc82c425478f017dc6da75be265e4f600498fb28f2a42f4c9705",
"nondet__volatile_8h.html#a2bb4e853608e8409258c32bdd1891708",
"polynomial__accelerator_8cpp_source.html",
"remove__exceptions_8cpp.html#ae240c35c7b501056e5f9b656ac4c338b",
"require__type_8h.html#a1b909e6ec9265020577d3279037eafb1",
"show__properties_8h.html#a1106c4c25dbc376a71aa83cdecc96c69",
"static__lifetime__init_8cpp.html",
"std__expr_8h.html#a60ebc874278c4905258795fc24dacc6c",
"std__types_8h.html#adb1a591eb62f60fe9efbb1bf1c63a14b",
"string__constraint__generator__main_8cpp.html#afe2672af020aea21e7bc1aa0bf2ee801",
"struct_elf64___ehdr.html#a63fca3f9b273e5fd4d190d9cb7fba9b0",
"structconfigt_1_1ansi__ct.html#ada723b2cb1666be3ff494b27df4758bd",
"structgoto__convertt_1_1break__continue__targetst.html#aa53c944e469d0aaf30f929e746deba1e",
"structjava__bytecode__parse__treet_1_1classt_1_1lambda__method__handlet.html#ad8c0f969a5cc0196940a3a74ffa19c9b",
"structnum__bitst.html",
"structtdefl__compressor.html#a4b1ae01e9c3d091617762ae27a15e1dd",
"taint__analysis_8cpp_source.html",
"util_8cpp.html",
"xml__irep_8h.html#a8be9a554b703d59adc7643f098b6b28f",
"xml__y_8tab_8cpp.html#a15c9f7bd2f0e9686df5d9df4f3314aa9a1f9c34e8da2558ee45a420931bf64bea",
"xml__y_8tab_8h.html#a15c9f7bd2f0e9686df5d9df4f3314aa9aae696377c19e507b64e16be78ce3bbdb"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';